#STORE GIT CREDENTIALS IN CACHE
git config --global credential.helper store
git config --global credential.helper 'store --file ~/.git-credentials'
echo "Enter git username: "
read gitUser
echo "username=$gitUser" >> ~/.git-credentials
echo "Enter git password: "
read gitPassword
echo "password=$gitPassword" >> ~/.git-credentials
chmod 0600 ~/.git-credentials

#INSTALLING NODE JS
cd ~
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh | bash
source ~/.bashrc
nvm list-remote
nvm install v16.19.1
node --version
npm --version
npm install -g @angular/cli
npm install -g pm2
pm2 install typescript
# echo "Enter the version of node you want to install: (Example. 'v16.19.1')"
# read nodeversion
# nvm install $nodeversion

#PRODUCTION A SETUP
cd ~
cd Desktop
mkdir chess
cd chess
mkdir production_A
cd production_A
git clone http://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/elixir-config-production
cd elixir-config-production
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout production
npm i

#TO CREATE SYMLINK
cd ..
ln -s elixir-config-production/ config

#PRODUCTION B SETUP
cd ~
cd Desktop
cd chess
mkdir production_B
cd production_B
git clone http://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/elixir-config-production
cd elixir-config-production
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout production
npm i

#TO CREATE SYMLINK
cd ..
ln -s elixir-config-production/ config